package cn.gtmap.bdcdj.core.encrypt.config;

import java.util.List;
import java.util.Map;

/**
 * 预置字段，可以通过在BaseConfigOptions配置中配置直接添加预设好的加解密字段
 * 出于统一优先级设计考虑，目前设计预置字段只进行添加处理，没有排除例外字段的功能
 */
public interface BaseConfig {
    List<String> getGlobalEnableFields();
    List<Map> getSqlFileds();
    List<Map> getSqlEncryptFileds();
    List<Map> getSqlDecryptFileds();
    List<Map> getEntityFileds();
}
